summaryrefslogtreecommitdiffstats
path: root/development/netbeans/netbeans.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/netbeans/netbeans.SlackBuild')
-rw-r--r--development/netbeans/netbeans.SlackBuild40
1 files changed, 19 insertions, 21 deletions
diff --git a/development/netbeans/netbeans.SlackBuild b/development/netbeans/netbeans.SlackBuild
index ee1c396549..dbd0d308a7 100644
--- a/development/netbeans/netbeans.SlackBuild
+++ b/development/netbeans/netbeans.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for netbeans
-# Copyright (c) 2008, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# Copyright (c) 2008-2009, Antonio Hernández Blas <hba.nihilismus@gmail.com>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -24,9 +24,9 @@
# This script is just a binary repackaging.
PRGNAM=netbeans
-VERSION=6.5.1
-DATE="200903060201"
-ARCH=i586 # Leave this alone
+VERSION=6.7.1
+DATE="200907230233"
+ARCH=i586
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -39,48 +39,46 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG/opt $OUTPUT
-cd $TMP
-rm -rf $PRGNAM
+cd $PKG/opt
unzip -o $CWD/$PRGNAM-$VERSION-$DATE-ml.zip
-cd $PRGNAM
chown -R root:root .
+
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Move the netbeans directory to $PKG/opt
-cd $TMP
-mv $PRGNAM $PKG/opt
-
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
-
# Add netbeans to KDE/GNOME/XFCE menu
install -D -m 0644 $CWD/$PRGNAM.desktop \
$PKG/usr/share/applications/$PRGNAM.desktop
# Add an icon for netbeans
-install -D -m 0644 $PKG/opt/$PRGNAM/nb6.5/$PRGNAM.png \
- $PKG/usr/share/pixmaps/$PRGNAM.png
+install -D -m 0644 $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
-# Add a script to call netbeans from /usr/bin.
+# Add an script to call netbeans from /usr/bin.
mkdir -p $PKG/usr/bin
cat <<- EOF > $PKG/usr/bin/netbeans
#!/bin/sh
cd /opt/netbeans/bin
-./netbeans "\$@"
+./netbeans \$@
EOF
chmod 0755 $PKG/usr/bin/netbeans
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
# Don't clobber any existing config file
mv $PKG/opt/$PRGNAM/etc/netbeans.conf \
$PKG/opt/$PRGNAM/etc/netbeans.conf.new
mv $PKG/opt/$PRGNAM/etc/netbeans.clusters \
$PKG/opt/$PRGNAM/etc/netbeans.clusters.new
+mv $PKG/opt/$PRGNAM/etc/netbeans.import \
+ $PKG/opt/$PRGNAM/etc/netbeans.import.new
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cd $PKG/opt/$PRGNAM
@@ -92,4 +90,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n -p $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}